package com.cloudcross.ssp.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.cloudcross.ssp.base.dao.GenericIBatisDao;
import com.cloudcross.ssp.model.WifiSum;
import com.cloudcross.ssp.service.IWifiSumService;

@Service
public class WifiSumService implements IWifiSumService {
	
	@Autowired
	private GenericIBatisDao myBatisDao;
	
	public Integer queryWifiSumCountByCondition(Map<String,Object>condition){
		return myBatisDao.get("wifiSumSqlMapper.queryWifiSumCount", condition);
	}
	public List<WifiSum> queryWifiSumByCondition(Map<String,Object>condition){
		return myBatisDao.getList("wifiSumSqlMapper.queryWifiSum", condition);
	}

}
